package com.schoolinout.api.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.schoolinout.api.domain.vo.Api_StudentListVo;
import com.schoolinout.system.domain.Student;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author sakura
 * @date 2024/1/10 10:10:11 Wed
 */
@Mapper
public interface ApiStudentMapper extends BaseMapper<Student> {
    Student selectOnlyOne(Student student);

    List<Api_StudentListVo> selectListByParentId(Long parentId);

    Student selectEditInfo(Long studentId);
}
